%global momorel 4
%global dirname 2010.0

Summary: A panoramic photo stitcher and more
Name: hugin
Version: 2010.0.0
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL: http://hugin.sourceforge.net/
Source0: http://dl.sourceforge.net/project/%{name}/%{name}/%{name}-%{dirname}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-2009.2.0-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): coreutils
Requires(post): desktop-file-utils
Requires(post): gnome-icon-theme
Requires(post): gtk2
Requires(post): shared-mime-info
Requires(postun): coreutils
Requires(postun): desktop-file-utils
Requires(postun): gnome-icon-theme
Requires(postun): gtk2
Requires(postun): shared-mime-info
Requires: %{name}-base = %{version}-%{release}
BuildRequires: OpenEXR-devel
BuildRequires: boost-devel >= 1.43.0
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: exiv2-devel >= 0.20
BuildRequires: freeglut-devel
BuildRequires: gettext-devel
BuildRequires: glew-devel
BuildRequires: libXmu-devel
BuildRequires: libjpeg-devel >= 8a
BuildRequires: libpano13-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: wxGTK-devel
BuildRequires: zlib-devel

%description
hugin can be used to stitch multiple images together. The resulting image can
span 360 degrees. Another common use is the creation of very high resolution
pictures by combining multiple images.  It uses the Panorama Tools as backend
to create high quality images.

%package base
Summary: Command-line tools and libraries required by hugin
Group: Applications/Multimedia
Requires: enblend
Requires: make
Requires: perl-Image-ExifTool

%description base
Command-line tools used to generate panoramic images, install this package
separately from hugin if you want to batch-process hugin projects on a machine
without a GUI environment.

%prep
%setup -q

%patch0 -p1 -b .desktop-ja

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%{_bindir}/update-desktop-database &> /dev/null ||:
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%postun
%{_bindir}/update-desktop-database &> /dev/null ||:
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%post base
/sbin/ldconfig

%postun base
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog LICENCE_VIGRA README README_JP TODO
%{_bindir}/PTBatcher
%{_bindir}/PTBatcherGUI
%{_bindir}/autopano-noop.sh
%{_bindir}/celeste_standalone
%{_bindir}/%{name}
%{_bindir}/%{name}_stitch_project
%{_bindir}/nona_gui
%{_datadir}/applications/PTBatcherGUI.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/xrc
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-ptoptimizer-script.png
%{_datadir}/locale/*/LC_MESSAGES/hugin.mo
%{_mandir}/man1/PTBatcherGUI.1*
%{_mandir}/man1/celeste_standalone.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}_stitch_project.1*
%{_mandir}/man1/nona_gui.1*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png

%files base
%defattr(-,root,root)
%{_bindir}/align_image_stack
%{_bindir}/autooptimiser
%{_bindir}/calibrate_lens
%{_bindir}/cpclean
%{_bindir}/deghosting_mask
%{_bindir}/fulla
%{_bindir}/%{name}_hdrmerge
%{_bindir}/matchpoint
%{_bindir}/nona
%{_bindir}/pto2mk
%{_bindir}/tca_correct
%{_bindir}/vig_optimize
%{_libdir}/libceleste.so*
%{_libdir}/lib%{name}*.so*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data
%{_datadir}/%{name}/Makefile.equirect.mk
%{_mandir}/man1/align_image_stack.1*
%{_mandir}/man1/autooptimiser.1*
%{_mandir}/man1/calibrate_lens.1*
%{_mandir}/man1/cpclean.1*
%{_mandir}/man1/deghosting_mask.1*
%{_mandir}/man1/fulla.1*
%{_mandir}/man1/%{name}_hdrmerge*
%{_mandir}/man1/nona.1*
%{_mandir}/man1/pto2mk.1*
%{_mandir}/man1/tca_correct.1*
%{_mandir}/man1/vig_optimize.1*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2010.0.0-4m)
- full rebuild for mo7 release

* Sun Aug 22 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2010.0.0-3m)
- fix up Requires

* Fri Jun 25 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2010.0.0-2m)
- rebuild against boost-1.43.0

* Sun May 30 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2010.0.0-1m)
- version 2010.0.0
- and build against exiv2-0.20

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2009.2.0-3m)
- rebuild against libjpeg-8a

* Tue Jan  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2009.2.0-2m)
- rebuild against exiv2-0.19

* Sun Dec  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2009.2.0-1m)
- initial package for qtpfsgui-1.9.3
